package com.lij.himeeter.quartz.task;

import com.lij.himeeter.common.utils.StringUtils;
import org.springframework.stereotype.Component;

/**
 * <pre>
 *
 * 文件名 :  HimeeterTask
 * 创建时间 : 2025年02月12日 16:11
 *
 * 文件描述 : 定时任务调度测试
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */
@Component("himeeterTask")
public class HimeeterTask {

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        System.out.println("执行无参方法");
    }
}
